import { LoaderContext } from "hls.js";
export declare type ByteRange = {
    length: number;
    offset: number;
} | undefined;
export declare function getByteRange(context: LoaderContext): {
    offset: number;
    length: number;
} | undefined;
export declare function compareByteRanges(b1: ByteRange, b2: ByteRange): boolean;
export declare function byteRangeToString(byteRange: ByteRange): string | undefined;
